/* /Components/Account/Pages/Login.razor.rz.scp.css */
.login-card[b-1ef0vv4f81] {
    width: 100%;
    top: 50%;
    padding: 20px;
    max-height: 80%;
    overflow-y: hidden;
    overflow-x: hidden;
}

.login-card-logo[b-1ef0vv4f81] {
    max-height: 5rem; /* Set a fixed height (or whatever works for your design) */
    max-width: 10rem;
    width: auto;
}

.no-select-img[b-1ef0vv4f81] {
    -webkit-user-select: none; /* Safari/Chrome */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE/Edge */
    user-select: none; /* Standard */
    -webkit-user-drag: none; /* Prevent dragging in WebKit */
    pointer-events: none; /* Optional: also disables clicking/hover */
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-9q4civs14z] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-9q4civs14z] {
    flex: 1;
}

.sidebar[b-9q4civs14z] {
    background-color: #5B2C88;
}

.top-row[b-9q4civs14z] {
    background-color: #F14F28;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-9q4civs14z]  a, .top-row[b-9q4civs14z]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-9q4civs14z]  a:hover, .top-row[b-9q4civs14z]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-9q4civs14z]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

@media (max-width: 640.98px) {
    .top-row[b-9q4civs14z] {
        justify-content: space-between;
    }

        .top-row[b-9q4civs14z]  a, .top-row[b-9q4civs14z]  .btn-link {
            margin-left: 0;
        }
}

@media (min-width: 641px) {
    .page[b-9q4civs14z] {
        flex-direction: row;
    }

    .sidebar[b-9q4civs14z] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-9q4civs14z] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

        .top-row.auth[b-9q4civs14z]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .top-row[b-9q4civs14z], article[b-9q4civs14z] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-9q4civs14z] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-9q4civs14z] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/MainLayoutOld.razor.rz.scp.css */
.page[b-d8sitrsky3] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-d8sitrsky3] {
    flex: 1;
    
}

.sidebar[b-d8sitrsky3] {
    background-color: #5B2C88;
}

.top-row[b-d8sitrsky3] {
    background-color: #F14F28;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-d8sitrsky3]  a, .top-row[b-d8sitrsky3]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-d8sitrsky3]  a:hover, .top-row[b-d8sitrsky3]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-d8sitrsky3]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-d8sitrsky3] {
        justify-content: space-between;
    }

    .top-row[b-d8sitrsky3]  a, .top-row[b-d8sitrsky3]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-d8sitrsky3] {
        flex-direction: row;
    }

    .sidebar[b-d8sitrsky3] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-d8sitrsky3] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-d8sitrsky3]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-d8sitrsky3], article[b-d8sitrsky3] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-d8sitrsky3] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-d8sitrsky3] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-c5a0s64hk7] {
    appearance: none;
    cursor: pointer;
    color: white;
    position: absolute;
    top: 1rem;
    left: 1rem;
}


.top-row[b-c5a0s64hk7] {
    height: 3.5rem;
    background-color: #5B2C88;
}

.navbar-brand[b-c5a0s64hk7] {
    font-size: 1.1rem;
}

.bi[b-c5a0s64hk7] {
    font-size: 1.2rem;
    margin-right: 0.5rem;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.bi-house-door-fill-nav-menu[b-c5a0s64hk7] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-c5a0s64hk7] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-c5a0s64hk7] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-c5a0s64hk7] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-c5a0s64hk7] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-c5a0s64hk7] {
        padding-bottom: 1rem;
    }

    .nav-item[b-c5a0s64hk7]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

    .nav-item[b-c5a0s64hk7]  a.active {
        background-color: rgba(255,255,255,0.37);
        color: white;
    }

    .nav-item[b-c5a0s64hk7]  .nav-link:hover {
        background-color: rgba(255,255,255,0.1);
        color: white;
    }

.nav-scrollable[b-c5a0s64hk7] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-c5a0s64hk7] {
    display: block;
}

.sidebar .logo[b-c5a0s64hk7] {
    width: 80px;
    transition: width 0.3s ease;
}

.sidebar.collapsed .logo[b-c5a0s64hk7] {
    width: 40px; /* or smaller */
}

.sp-sidebar-expand-toggle[b-c5a0s64hk7] {
    display: none;
}


@media (min-width: 641px) {
    .sidebar.collapsed .nav-scrollable nav .nav-item .nav-link .sp-sidebar-nav-text[b-c5a0s64hk7] {
        display: none;
    }

    .sidebar.collapsed[b-c5a0s64hk7] {
        width: 75px;
    }

    .navbar-toggler[b-c5a0s64hk7] {
        display: none;
    }

    .sp-sidebar[b-c5a0s64hk7] {
        width: inherit
    }

    .sp-sidebar-expand-toggle[b-c5a0s64hk7] {
        display: block;
    }

.nav-scrollable[b-c5a0s64hk7] {
    display: block;
    /*        height: calc(100vh - 3.5rem);*/
    overflow-y: auto;
}

.nav-contain[b-c5a0s64hk7] {
    background-color: #5B2C88;
    text-align: center;
    margin-top: 1rem;
}

.nav-link[b-c5a0s64hk7] {
    display: flex;
    align-items: center;
}

.sp-nav-icon[b-c5a0s64hk7] {
    margin-left: 0.75rem;
}

.sidebar[b-c5a0s64hk7] {
    background-color: #5B2C88;
    transition: width 0.3s ease;
}

    .sidebar.collpased .nav-link span:not(.bi)[b-c5a0s64hk7] {
        display: none;
    }

@media (min-width: 641px) {

    .sidebar[b-c5a0s64hk7] {
        width: 300px;
        height: 100vh;
        position: sticky;
        top: 0;
        display: flex;
        flex-direction: column;
    }
}



.manage-users-flyout[b-c5a0s64hk7] {
    position: absolute;
    bottom: 50%;
    left: 100%;
    background: white;
    border: 1px solid #ddd;
    padding: 0.5rem;
    border-radius: 4px;
    z-index: 9999;
    min-width: 150px;
    box-shadow: 0 0 6px rgba(0,0,0,0.15);
}

    .manage-users-flyout li[b-c5a0s64hk7] {
        list-style: none;
        margin-bottom: 0.25rem;
    }

        .manage-users-flyout li:last-child[b-c5a0s64hk7] {
            margin-bottom: 0;
        }

    .manage-users-flyout .nav-link[b-c5a0s64hk7] {
        display: block;
        padding: 0.25rem 0.5rem;
        text-decoration: none;
        color: #007bff;
    }

        .manage-users-flyout .nav-link:hover[b-c5a0s64hk7] {
            background-color: #f8f9fa;
            border-radius: 4px;
        }
/* /Components/Layout/NavMenuOld.razor.rz.scp.css */
.navbar-toggler[b-gdiczz0tar] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-gdiczz0tar] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-gdiczz0tar] {
    height: 3.5rem;
    background-color: #F14F28;
}

.navbar-brand[b-gdiczz0tar] {
    font-size: 1.1rem;
}

.bi[b-gdiczz0tar] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-gdiczz0tar] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-gdiczz0tar] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-gdiczz0tar] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-gdiczz0tar] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-gdiczz0tar] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-gdiczz0tar] {
        padding-bottom: 1rem;
    }

    .nav-item[b-gdiczz0tar]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-gdiczz0tar]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-gdiczz0tar]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-gdiczz0tar] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-gdiczz0tar] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-gdiczz0tar] {
        display: none;
    }

    .nav-scrollable[b-gdiczz0tar] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Components/Shared/MultiSelect.razor.rz.scp.css */
.sp-dropdown-btn[b-junnqehp6y] {
    max-width: 10rem;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.sp-dropdown-items-container[b-junnqehp6y] {
    max-height: 250px; /* Adjust max height as needed */
    overflow-y: auto;
}

.sp-dropdown-disabled-item[b-junnqehp6y] {
    color: grey;
}

.sp-dropdown-item[b-junnqehp6y] {
    margin-bottom: 0.5rem;
    user-select: none;
}

.sp-dropdown-select-item:hover[b-junnqehp6y] {
    cursor: pointer;
}

.sp-dropdown-menu[b-junnqehp6y] {
    padding: 1rem;
}

.sp-form-check[b-junnqehp6y] {
    pointer-events: none; /* Prevents clicks on the checkbox/label from stealing the event */
}

.sp-form-check-input[b-junnqehp6y] {
    margin-right: 0.75rem;
}
